{-# LANGUAGE DerivingStrategies #-}
module Ubc.Parse.Syntax.Generic
( Generic(..)
, parse)
where

import qualified Ubc.Parse.Syntax.Language as Language
import Control.Monad ((<$!>))
import Text.Parsec (ParsecT)

data Generic = Generic
        { name :: String
        }
        deriving stock (Show)

parse :: Monad m => ParsecT String u m Generic
parse = Generic <$!> Language.identifier
